ace-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "J.W. Janssen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ACE-524) Make sure Bnd uses the right repository
Date Thu, 21 Jan 2016 12:13:39 GMT

    [ https://issues.apache.org/jira/browse/ACE-524?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15110491#comment-15110491
] 

J.W. Janssen commented on ACE-524:
----------------------------------

It appears that the latest Bnd doesn't like the `repository.xml` that is generated for the
artifacts in `lib`. After replacing the `javax.inject` JAR with one that contains a proper
manifest, I'm able to generate a more recent OBR `index.xml` file that makes the warning go
away.
Leaving this issue open because we might need to check how we can incorporate the generation
of the new OBR format in the available scripts.

> Make sure Bnd uses the right repository
> ---------------------------------------
>
>                 Key: ACE-524
>                 URL: https://issues.apache.org/jira/browse/ACE-524
>             Project: ACE
>          Issue Type: Improvement
>          Components: Build
>            Reporter: J.W. Janssen
>            Assignee: J.W. Janssen
>              Labels: ace-build
>
> The ant build currently shows the following warning:
>     Content provider 'R5' was unable to determine compatibility with index at URL 'file:/home/jawi/Sources/ace/ace-trunk/cnf/lib/repository.xml':
Reached end of stream
> We should investigate why this warning appears and how we can solve it.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message